Debian Bug report logs - #571743
busybox httpd -e STRING does not work

version graph

Package: busybox; Maintainer for busybox is Debian Install System Team <debian-boot@lists.debian.org>; Source for busybox is src:busybox.

Reported by: Kazuhiro NISHIYAMA <zn@mbf.nifty.com>

Date: Sat, 27 Feb 2010 18:06:01 UTC

Severity: minor

Merged with 548999

Found in versions busybox/1:1.14.2-2, busybox/1:1.15.3-1

Fixed in version busybox/1:1.20.0-1

Done: Michael Tokarev <mjt@tls.msk.ru>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, zn@mbf.nifty.com, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#571743; Package busybox. (Sat, 27 Feb 2010 18:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kazuhiro NISHIYAMA <zn@mbf.nifty.com>:
New Bug report received and forwarded. Copy sent to zn@mbf.nifty.com, Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 27 Feb 2010 18:06:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kazuhiro NISHIYAMA <zn@mbf.nifty.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: busybox httpd -e STRING does not work
Date: Sun, 28 Feb 2010 03:01:33 +0900
Package: busybox
Version: 1:1.15.3-1
Severity: normal

-e option is in usage, but it does not work.

$ busybox httpd -e STRING
httpd: invalid option -- 'e'
BusyBox v1.15.3 (Debian 1:1.15.3-1) multi-call binary

Usage: httpd [-ifv[v]] [-c CONFFILE] [-p [IP:]PORT] [-r REALM] [-h HOME]
or httpd -d/-e STRING

Listen for incoming HTTP requests

Options:
        -i              Inetd mode
        -f              Do not daemonize
        -v[v]           Verbose
        -c FILE         Configuration file (default httpd.conf)
        -p [IP:]PORT    Bind to ip:port (default *:80)
        -r REALM        Authentication Realm for Basic Authentication
        -h HOME         Home directory (default .)
        -e STRING       HTML encode STRING
        -d STRING       URL decode STRING

$


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-2-686 (SMP w/1 CPU core)
Locale: LANG=ja_JP.UTF-8, LC_CTYPE=ja_JP.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages busybox depends on:
ii  libc6                         2.10.2-6   Embedded GNU C Library: Shared lib

busybox recommends no packages.

busybox suggests no packages.

-- no debconf information




Severity set to 'minor' from 'normal' Request was from Michael Tokarev <mjt@tls.msk.ru> to control@bugs.debian.org. (Wed, 08 Dec 2010 10:00:08 GMT) Full text and rfc822 format available.

Merged 548999 571743. Request was from Michael Tokarev <mjt@tls.msk.ru> to control@bugs.debian.org. (Wed, 08 Dec 2010 10:00:09 GMT) Full text and rfc822 format available.

Merged 548999 571743. Request was from Michael Tokarev <mjt@tls.msk.ru> to control@bugs.debian.org. (Wed, 09 Mar 2011 21:21:09 GMT) Full text and rfc822 format available.

Reply sent to Michael Tokarev <mjt@tls.msk.ru>:
You have taken responsibility. (Wed, 16 May 2012 10:51:33 GMT) Full text and rfc822 format available.

Notification sent to Kazuhiro NISHIYAMA <zn@mbf.nifty.com>:
Bug acknowledged by developer. (Wed, 16 May 2012 10:51:35 GMT) Full text and rfc822 format available.

Message #16 received at 571743-close@bugs.debian.org (full text, mbox):

From: Michael Tokarev <mjt@tls.msk.ru>
To: 571743-close@bugs.debian.org
Subject: Bug#571743: fixed in busybox 1:1.20.0-1
Date: Wed, 16 May 2012 10:47:35 +0000
Source: busybox
Source-Version: 1:1.20.0-1

We believe that the bug you reported is fixed in the latest version of
busybox, which is due to be installed in the Debian FTP archive:

busybox-static_1.20.0-1_i386.deb
  to main/b/busybox/busybox-static_1.20.0-1_i386.deb
busybox-syslogd_1.20.0-1_all.deb
  to main/b/busybox/busybox-syslogd_1.20.0-1_all.deb
busybox-udeb_1.20.0-1_i386.udeb
  to main/b/busybox/busybox-udeb_1.20.0-1_i386.udeb
busybox_1.20.0-1.debian.tar.gz
  to main/b/busybox/busybox_1.20.0-1.debian.tar.gz
busybox_1.20.0-1.dsc
  to main/b/busybox/busybox_1.20.0-1.dsc
busybox_1.20.0-1_i386.deb
  to main/b/busybox/busybox_1.20.0-1_i386.deb
busybox_1.20.0.orig.tar.bz2
  to main/b/busybox/busybox_1.20.0.orig.tar.bz2
udhcpc_1.20.0-1_i386.deb
  to main/b/busybox/udhcpc_1.20.0-1_i386.deb
udhcpd_1.20.0-1_i386.deb
  to main/b/busybox/udhcpd_1.20.0-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 571743@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Tokarev <mjt@tls.msk.ru> (supplier of updated busybox package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 16 May 2012 13:47:42 +0400
Source: busybox
Binary: busybox busybox-static busybox-udeb busybox-syslogd udhcpc udhcpd
Architecture: source all i386
Version: 1:1.20.0-1
Distribution: experimental
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Michael Tokarev <mjt@tls.msk.ru>
Description: 
 busybox    - Tiny utilities for small and embedded systems
 busybox-static - Standalone rescue shell with tons of builtin utilities
 busybox-syslogd - Provides syslogd and klogd using busybox
 busybox-udeb - Tiny utilities for the debian-installer (udeb)
 udhcpc     - Provides the busybox DHCP client implementation
 udhcpd     - Provides the busybox DHCP server implementation
Closes: 548999 571743 626820 670993 671832
Changes: 
 busybox (1:1.20.0-1) experimental; urgency=low
 .
   * new upstream (mostly bugfix) release
   * got rid of the long-standing debian-specific applets-fallback.patch, once
     upstream added commit 83f103b30e41ab038e "ash: in standalone mode, search
     in $PATH if /proc/self/exe doesn't exist".  I still carry the patch itself,
     but it isn't referenced in the series file anymore.
   * removed patches which were applied upstream, and added a few patches
     from upstream 1.20 stable branch
   * refreshed swaponoff-FreeBSD-support.patch and u-mount-FreeBSD-support.patch
   * refreshed configs for 1.20
   * enabled many httpd options (AUTH_MD5, RANGES, SETUID, CGI, GZIP, ENCODE)
     for static and regular build, which results in ~5Kb binary size difference
     on x86 but enables features users are asking
     (Closes: #548999, #626820, #571743)
   * enabled dpkg-buildflags usage (filtering out -Werror=format-security from
     CFLAGS) (Closes: #670993)
   * ship some docs and examples in static and regular builds (Closes: #671832)
   * enable expand/unexpand and ar-long-options in deb build, - small changes
     to reduce difference from static config.
   * added reenable-ps-options-for-DESKTOP-case.patch
   * DEP-3 headers for init-console.patch
 .
   * releasing to experimental due to applets-fallback.patch removal
Checksums-Sha1: 
 79b07bd528242f6c8bcd72f95a57a077b41af770 1610 busybox_1.20.0-1.dsc
 b8f5721557d437d2539dd3f7db91683ec50bdade 2190652 busybox_1.20.0.orig.tar.bz2
 0c055f3e7d7fa37f8be6cf084accc0e71b83402f 47880 busybox_1.20.0-1.debian.tar.gz
 bdf86d468ce55f4e3cce4ffaa632433fcaf361e6 18982 busybox-syslogd_1.20.0-1_all.deb
 8f15255cf07ba310f5d75c3d67491624f5a4cfcf 876464 busybox-static_1.20.0-1_i386.deb
 4042de1bc2703db64ede0b9e296af5839975deea 439274 busybox_1.20.0-1_i386.deb
 24b0aed03058e76b48ec1253769dc7a2447007ff 16638 udhcpc_1.20.0-1_i386.deb
 9f0fa6218de67f69050c6062b1bb20db6b147945 19934 udhcpd_1.20.0-1_i386.deb
 987068b77bf95fb081173380120029c8490219a5 202440 busybox-udeb_1.20.0-1_i386.udeb
Checksums-Sha256: 
 a46578ded8fd9ac06be445447e15a12fd671292925e51497ef3816404e0ab86a 1610 busybox_1.20.0-1.dsc
 3c56508d984db1178664241ad548d118fb0aa71cdd2f8a9a93038e50b3b2bf16 2190652 busybox_1.20.0.orig.tar.bz2
 9888f4e1a88d865f888c98bc1e51475ef19f66e1d5e8cc2b2eec50331c9d4d85 47880 busybox_1.20.0-1.debian.tar.gz
 2f4df08efbd69767685a63a2a27197e54112ffe70536912735b856c96f2c7da9 18982 busybox-syslogd_1.20.0-1_all.deb
 51fbd10f22791b9d8daeadc84b2223ae5980fb5f7aa2f59d8ac8e878317fddfe 876464 busybox-static_1.20.0-1_i386.deb
 dafc3443624cdad5bceb9dd369dc868f0aae20aa91bd0956714d342f111369e8 439274 busybox_1.20.0-1_i386.deb
 aaf9a6ca500f0f8404c7f0d1d90c726187b2211e8caa8eb41789186e7874f2d0 16638 udhcpc_1.20.0-1_i386.deb
 0249e222d85cdd4a2b5398b7f20811306e572d40a0ebd0fb8bb119c18b9365c2 19934 udhcpd_1.20.0-1_i386.deb
 3d0f9b907ba6154f7dfb5b4f9543ed3e8c103290d48dac9e7ad79c02c6c3ee07 202440 busybox-udeb_1.20.0-1_i386.udeb
Files: 
 c10bbad4badefe43e0367a1dc9a99131 1610 utils optional busybox_1.20.0-1.dsc
 4334b34fa1cdae54e9d2dc174f35c9ae 2190652 utils optional busybox_1.20.0.orig.tar.bz2
 8a638e8cb622de7b876fcc79b740ae6b 47880 utils optional busybox_1.20.0-1.debian.tar.gz
 65119180ecb3bb331f04086ceb5ceea8 18982 utils optional busybox-syslogd_1.20.0-1_all.deb
 46df2651d4c23dd203c38e82c4cd8118 876464 shells extra busybox-static_1.20.0-1_i386.deb
 f42049e0b15fc0efd8661f1b59137487 439274 utils optional busybox_1.20.0-1_i386.deb
 ab6555956290f71155380f30b8a4cfbd 16638 net optional udhcpc_1.20.0-1_i386.deb
 52b1d7d58b325ddab1af6206c517b819 19934 net optional udhcpd_1.20.0-1_i386.deb
 a2b72b36eb982d35fb8a07b550b2f5dc 202440 debian-installer extra busybox-udeb_1.20.0-1_i386.udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iJwEAQECAAYFAk+zgrsACgkQUlPFrXTwyDhD0AQA2URr1U/UP2J9o+Ednx4WCw1K
fC+e96TOscABac9OQTJNpkkaFVX2WAj73zWvYofskC1rscizHwuTzPsvoH++irS7
K1XW0X6kRu+vjDqOg4QSrQBxbtYS8l72U+or4+TJYWkxo+S2d+1qMgbowx6A+VVH
1GPRhAR4XS7gMp1TNnY=
=tL+h
-----END PGP SIGNATURE-----





Reply sent to Michael Tokarev <mjt@tls.msk.ru>:
You have taken responsibility. (Wed, 16 May 2012 10:51:41 GMT) Full text and rfc822 format available.

Notification sent to "Trent W. Buck" <trentbuck@gmail.com>:
Bug acknowledged by developer. (Wed, 16 May 2012 10:51:48 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 11 Jul 2012 07:42:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 06:54:28 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.